com.sun.source.tree

## Interface ModifiersTree

- All Superinterfaces:
    Tree

      @Exported
      public interface ModifiersTree
      extends Tree

  A tree node for the modifiers, including annotations, for a declaration. For example:

         flags

         flags annotations

  Since:
    1.6
  See The Java™ Language Specification:
    sections 8.1.1, 8.3.1, 8.4.3, 8.5.1, 8.8.3, 9.1.1, and 9.7

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<? extends AnnotationTree>` | `getAnnotations()`
    `Set<Modifier>` | `getFlags()`

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getFlags

          Set<Modifier> getFlags()

    - #### getAnnotations

          List<? extends AnnotationTree> getAnnotations()

Copyright © 2005, 2015, Oracle and/or its affiliates. All rights reserved.